#editor {
  width: 100%;
  height: 100%;
  background-color: #fff;
  position: relative;
  outline: none;

  * {
    font-family: Roboto, sans-serif;
  }

  &.untouched {
    * {
      outline: none;
      color: darken(#fff, 20);
    }
  }

  .block {
    position: relative;

    &-container {
      border: 1px dashed transparent;
      position: relative;

      .actions {
        display: none;
      }

      &.hover,
      &.selected,
      &:hover {
        border: 1px dashed darken(#2d3436, 5);
      }

      &.selected {
        .actions {
          display: block;
        }
      }
    }
  }

  .actions {
    .action {
      width: 25px;
      height: 25px;
      background-color: darken(#fff, 17);
      border: 2px solid darken(#fff, 20);
      position: absolute;
      right: -10px;
      top: -10px;
      border-radius: 50%;
      cursor: pointer;
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: center;
      box-shadow: inset;
    }

    .icon {
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: center;

      * {
        font-size: 10px;
        color: #fff;
      }
    }
  }
}
